Bug 244200 - All KDE apps print SCIM debugging messages to stderr
All KDE apps print SCIM debugging messages to stderr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim-qtimm (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-14 10:18 EDT by Mary Ellen Foster
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.9.4-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 16:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-06-14 10:18:32 EDT
Description of problem:

Every KDE application that I've used in Fedora 7 always prints the following 
to stderr:
ScimInputContextPlugin()
~ScimInputContextPlugin()
ScimInputContextPlugin()
[ ... run application ... wait until it exits ... ]
~ScimInputContextPlugin()

I'm not sure if this is a bug in KDE, Qt, or SCIM, but I've only noticed it in 
KDE apps so I'll report it against KDE.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-12.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Run a KDE application (kpdf, kaffeine, konqueror, ...) from the command 
line
  
Actual results:
Debugging messages as indicated above

Expected results:
No debugging messages
Comment 1 Gianluca Varisco 2007-06-17 06:31:24 EDT
Not seems a bug, IMHO, but only an annoying printed debug by launching any KDE
application. I tried to remove the "Scim input method module for Qt"
(scim-qtimm) and these "debug" lines disappeared. Can't we re-compile scim-qtimm
with "--disable-debug" (default: NO)? I'm not sure it fixes the 'problem', but
we can try ;-).
Comment 2 Peng Huang 2007-06-18 01:15:26 EDT
Scim-qtimm calls qDebug () in some functions. It seems that it can not be
disabled by --disable-debug . 
Comment 3 Jens Petersen 2007-06-18 03:31:54 EDT
Thanks for reporting this - it is something I have been meaning to fix
for a long time. :)

Should be fixed in scim-qtimm-0.9.4-7.fc8.

Probably we should do an update for F7 soon.
Comment 4 Jens Petersen 2007-06-18 03:32:59 EDT
(Now just need to fix the "kbuildsycoca running..." messages. ;-)
Comment 5 Jens Petersen 2007-06-19 00:02:01 EDT
scim-qtimm-0.9.4-7.fc7 has been built.
Comment 6 Fedora Update System 2007-06-19 17:36:43 EDT
scim-qtimm-0.9.4-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Gianluca Varisco 2007-06-21 04:45:29 EDT
Now it works perfectly. Thank you, Jens.
Comment 8 Fedora Update System 2007-06-21 16:03:20 EDT
scim-qtimm-0.9.4-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.